Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-19.10"

  config.vm.provider "virtualbox" do |v|
    v.name = "pm-vm"
    v.gui = true
    v.customize ['modifyvm', :id, '--clipboard', 'bidirectional']
    v.customize ['modifyvm', :id, '--usb', 'on']
  end

  # Ansible requires "python" already installed on the target
  config.vm.provision :shell, inline: "apt-get install -y python"

  # Do the rest of the provisioning using ansible
  config.vm.provision :ansible, playbook: "../playbooks-pm/master.yml"

  config.vm.provision :reload
end
